import request from '@/utils/request'

/** 交易订单分页列表 */
export function listSupplierOrders(params) {
  return request({
    url: '/app/supplier/order/list',
    method: 'GET',
    params
  })
}

/** 交易订单详情 */
export function getSupplierOrder(id) {
  return request({
    url: `/app/supplier/order/${id}`,
    method: 'GET'
  })
}

/** 待结算单分页列表 */
export function listSupplierSettlements(params) {
  return request({
    url: '/app/supplier/settlement/list',
    method: 'GET',
    params
  })
}

/** 待结算单详情 */
export function getSupplierSettlement(id) {
  return request({
    url: `/app/supplier/settlement/${id}`,
    method: 'GET'
  })
}
